Bug 1121968 - Review Request: adobe-source-han-sans-twhk-fonts - Adobe OpenType Pan-CJK font family for Traditional Chinese
Summary: Review Request: adobe-source-han-sans-twhk-fonts - Adobe OpenType Pan-CJK fon...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-22 09:07 UTC by Peng Wu
Modified: 2014-07-25 15:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-24 07:23:05 UTC
panemade: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Parag AN(पराग) 2014-07-23 03:05:11 UTC
Review:
+ mock build is successful for f22

+ rpmlint output on rpms gave
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball     :2371a726757a51322243b1ed7a9fde562621b0813b5e6d6443e06847ad7bbd20
upstream tarball :2371a726757a51322243b1ed7a9fde562621b0813b5e6d6443e06847ad7bbd20

+ License "ASL 2.0" is valid and is included in its own file as %doc

+ rest looks following packaging guidelines


Suggestions:
1) fontconfig is same file that we approved for adobe-source-han-sans-cn-fonts. This package fontconfig should provide for zh-tw and zh-hk locales.

Comment 2 Peng Wu 2014-07-23 03:23:13 UTC
Thanks for the review.

Sorry, my mistake on the fontconfig conf file.

I will fix the fontconfig conf file when importing.

Comment 3 Peng Wu 2014-07-23 07:42:10 UTC
New Package SCM Request
=======================
Package Name: adobe-source-han-sans-twhk-fonts
Short Description: Adobe OpenType Pan-CJK font family for Traditional Chinese
Upstream URL: http://sourceforge.net/adobe/source-han-sans/wiki/Home/
Owners: pwu
Branches: f20 f21 epel7
InitialCC: i18n-team petersen

Comment 4 Peng Wu 2014-07-23 08:09:46 UTC
New Package SCM Request
=======================
Package Name: adobe-source-han-sans-twhk-fonts
Short Description: Adobe OpenType Pan-CJK font family for Traditional Chinese
Upstream URL: http://sourceforge.net/adobe/source-han-sans/wiki/Home/
Owners: pwu
Branches: f20 f21 epel7
InitialCC: fonts-sig i18n-team petersen

Comment 5 Gwyn Ciesla 2014-07-23 10:12:01 UTC
Git done (by process-git-requests).

Comment 6 Peng Wu 2014-07-24 07:23:05 UTC
Built for rawhide and F21, close bug.

Comment 7 Peng Wu 2014-07-24 08:20:40 UTC
built for f20 and submitted in bodhi.


Note You need to log in before you can comment on or make changes to this bug.